Update webhook
curl --request PATCH \
--url https://api.prequel.co/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"webhook": {
"name": "<string>",
"api_version": "2023-10-15",
"events": [],
"url": "<string>",
"api_key": "<string>"
}
}
'import requests
url = "https://api.prequel.co/webhooks/{webhook_id}"
payload = { "webhook": {
"name": "<string>",
"api_version": "2023-10-15",
"events": [],
"url": "<string>",
"api_key": "<string>"
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhook: {
name: '<string>',
api_version: '2023-10-15',
events: [],
url: '<string>',
api_key: '<string>'
}
})
};
fetch('https://api.prequel.co/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"webhook": {
"id": "<string>",
"name": "<string>",
"vendor": "<string>",
"url": "<string>",
"api_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"events": [
"<string>"
],
"api_key": "<string>"
}
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Webhooks
Update webhook
Update an existing webhook.
PATCH
/
webhooks
/
{webhook_id}
Update webhook
Authorizations
Path Parameters
Webhook ID.
Body
application/json
- HTTP
- PagerDuty
- Slack
- Datadog
Show child attributes
Show child attributes
⌘I